TektonPruner [operator.tekton.dev/v1alpha1]

Description
TektonPruner is the Schema for the TektonPruner API
Type
object

Specification

PropertyTypeDescription
apiVersionstring

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

kindstring

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

metadataObjectMeta

ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

specobject
statusobject

TektonPrunerStatus defines the observed state of TektonPruner

.spec

Type
object
Required
disabledglobal-config
PropertyTypeDescription
configobject

Config holds the configuration for resources created by TektonPruner

disabledboolean

enable or disable TektonPruner Component

global-config
optionsobject

options holds additions fields and these fields will be updated on the manifests

targetNamespacestring

TargetNamespace is where resources will be installed

.spec.config

Description
Config holds the configuration for resources created by TektonPruner
Type
object
PropertyTypeDescription
nodeSelectorobject
priorityClassNamestring

PriorityClassName holds the priority class to be set to pod template

tolerationsarray

.spec.config.nodeSelector

Type
object

.spec.config.tolerations

Type
array

.spec.config.tolerations[]

Description
The pod this Toleration is attached to tolerates any taint that matches the triple <key,value,effect> using the matching operator <operator>.
Type
object
PropertyTypeDescription
effectstring

Effect indicates the taint effect to match. Empty means match all taint effects. When specified, allowed values are NoSchedule, PreferNoSchedule and NoExecute.

keystring

Key is the taint key that the toleration applies to. Empty means match all taint keys. If the key is empty, operator must be Exists; this combination means to match all values and all keys.

operatorstring

Operator represents a key's relationship to the value. Valid operators are Exists, Equal, Lt, and Gt. Defaults to Equal. Exists is equivalent to wildcard for value, so that a pod can tolerate all taints of a particular category. Lt and Gt perform numeric comparisons (requires feature gate TaintTolerationComparisonOperators).

tolerationSecondsinteger

TolerationSeconds represents the period of time the toleration (which must be of effect NoExecute, otherwise this field is ignored) tolerates the taint. By default, it is not set, which means tolerate the taint forever (do not evict). Zero and negative values will be treated as 0 (evict immediately) by the system.

valuestring

Value is the taint value the toleration matches to. If the operator is Exists, the value should be empty, otherwise just a regular string.

.spec.options

Description
options holds additions fields and these fields will be updated on the manifests
Type
object
PropertyTypeDescription
configMapsobject
deploymentsobject
disabledboolean
horizontalPodAutoscalersobject
ingressobject
statefulSetsobject
webhookConfigurationOptionsobject

.spec.options.configMaps

Type
object

.spec.options.deployments

Type
object

.spec.options.horizontalPodAutoscalers

Type
object

.spec.options.ingress

Type
object

.spec.options.statefulSets

Type
object

.spec.options.webhookConfigurationOptions

Type
object

.status

Description
TektonPrunerStatus defines the observed state of TektonPruner
Type
object
PropertyTypeDescription
annotationsobject

Annotations is additional Status fields for the Resource to save some additional State as well as convey more information to the user. This is roughly akin to Annotations on any k8s resource, just the reconciler conveying richer information outwards.

conditionsarray

Conditions the latest available observations of a resource's current state.

observedGenerationinteger

ObservedGeneration is the 'Generation' of the Service that was last processed by the controller.

tektonInstallerSetstring

The current installer set name for TektonPruner

versionstring

The version of the installed release

.status.annotations

Description
Annotations is additional Status fields for the Resource to save some additional State as well as convey more information to the user. This is roughly akin to Annotations on any k8s resource, just the reconciler conveying richer information outwards.
Type
object

.status.conditions

Description
Conditions the latest available observations of a resource's current state.
Type
array

.status.conditions[]

Description
Condition defines a readiness condition for a Knative resource. See: https://github.com/kubernetes/community/blob/master/contributors/devel/sig-architecture/api-conventions.md#typical-status-properties
Type
object
Required
statustype
PropertyTypeDescription
lastTransitionTimestring

LastTransitionTime is the last time the condition transitioned from one status to another. We use VolatileTime in place of metav1.Time to exclude this from creating equality.Semantic differences (all other things held constant).

messagestring

A human readable message indicating details about the transition.

reasonstring

The reason for the condition's last transition.

severitystring

Severity with which to treat failures of this type of condition. When this is not specified, it defaults to Error.

statusstring

Status of the condition, one of True, False, Unknown.

typestring

Type of condition.

API Endpoints

The following API endpoints are available:

  • /apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonpruners
    • DELETE: delete collection of TektonPruner
    • GET: list objects of kind TektonPruner
    • POST: create a new TektonPruner
  • /apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonpruners/{name}
    • DELETE: delete the specified TektonPruner
    • GET: read the specified TektonPruner
    • PATCH: partially update the specified TektonPruner
    • PUT: replace the specified TektonPruner
  • /apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonpruners/{name}/status
    • GET: read status of the specified TektonPruner
    • PATCH: partially update status of the specified TektonPruner
    • PUT: replace status of the specified TektonPruner

/apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonpruners

HTTP method
DELETE
Description
delete collection of TektonPruner
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
list objects of kind TektonPruner
HTTP responses
HTTP codeResponse body
200 - OKTektonPrunerList schema
401 - UnauthorizedEmpty
HTTP method
POST
Description
create a new TektonPruner
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyTektonPruner schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKTektonPruner schema
201 - CreatedTektonPruner schema
202 - AcceptedTektonPruner schema
401 - UnauthorizedEmpty

/apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonpruners/{name}

HTTP method
DELETE
Description
delete the specified TektonPruner
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
202 - AcceptedStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
read the specified TektonPruner
HTTP responses
HTTP codeResponse body
200 - OKTektonPruner schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update the specified TektonPruner
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKTektonPruner schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace the specified TektonPruner
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyTektonPruner schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKTektonPruner schema
201 - CreatedTektonPruner schema
401 - UnauthorizedEmpty

/apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonpruners/{name}/status

HTTP method
GET
Description
read status of the specified TektonPruner
HTTP responses
HTTP codeResponse body
200 - OKTektonPruner schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update status of the specified TektonPruner
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKTektonPruner schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace status of the specified TektonPruner
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyTektonPruner schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKTektonPruner schema
201 - CreatedTektonPruner schema
401 - UnauthorizedEmpty